Package jgromacs.data

# Class IndexSet

java.lang.Object
jgromacs.data.IndexSet

All Implemented Interfaces:
  `Cloneable`

public class IndexSet extends Object implements Cloneable
Objects of this class represent a single index set

## Constructor Summary

Constructors
Constructor
Description
`IndexSet()`
Constructs a new IndexSet object
`IndexSet(String name)`
Constructs a new IndexSet object of a given name
`IndexSet(ArrayList<Integer> list)`
Constructs a new IndexSet object and loads data from an ArrayList
`IndexSet(ArrayList<Integer> list, String name)`
Constructs a new IndexSet object of a given name and loads data from an ArrayList
`IndexSet(TreeSet<Integer> set)`
Constructs a new IndexSet object and loads data from a TreeSet
`IndexSet(TreeSet<Integer> set, String name)`
Constructs a new IndexSet object of a given name and loads data from a TreeSet
`IndexSet(IndexSet set)`
Constructs a new IndexSet object identical to a given IndexSet

## Method Summary

Modifier and Type
Method
Description
`void`
`addIndex(int index)`
Adds a new index to the index set
`Object`
`clone()`
Returns an identical IndexSet object
`boolean`
`equals(Object other)`
Returns true if this index sets is identical to another
`ArrayList<Integer>`
`getAsArrayList()`
Returns index set as an ArrayList
`TreeSet<Integer>`
`getAsTreeSet()`
Returns index set as a TreeSet
`String`
`getName()`
Returns the name of index set
`int`
`getNumberOfIndices()`
Returns the number of indices in this index set
`int`
`hashCode()`
Returns hash code
`IndexSet`
`intersect(IndexSet other)`
Returns the intersection of this index set and another
`boolean`
`isIndexIn(int index)`
Returns true if the index set contains a given index
`void`
`removeIndex(int index)`
Removes an index from the index set
`void`
`setName(String name)`
Sets the name of index set
`IndexSet`
`subtract(IndexSet other)`
Returns the subtraction of another index set from this index set
`String`
`toString()`
Returns the String representation of index set
`String`
`toStringInfo()`
Returns summary information about the index set
`IndexSet`
`union(IndexSet other)`
Returns the union of this index set and another

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IndexSet

public IndexSet()
Constructs a new IndexSet object

### IndexSet

public IndexSet(String name)
Constructs a new IndexSet object of a given name

### IndexSet

public IndexSet(ArrayList<Integer> list)
Constructs a new IndexSet object and loads data from an ArrayList

### IndexSet

public IndexSet(ArrayList<Integer> list, String name)
Constructs a new IndexSet object of a given name and loads data from an ArrayList

### IndexSet

public IndexSet(TreeSet<Integer> set)
Constructs a new IndexSet object and loads data from a TreeSet

### IndexSet

public IndexSet(TreeSet<Integer> set, String name)
Constructs a new IndexSet object of a given name and loads data from a TreeSet

### IndexSet

public IndexSet(IndexSet set)
Constructs a new IndexSet object identical to a given IndexSet

## Method Details

### getName

public String getName()
Returns the name of index set

Returns:
  Name of index set

### setName

public void setName(String name)
Sets the name of index set

### getAsTreeSet

public TreeSet<Integer> getAsTreeSet()
Returns index set as a TreeSet

Returns:
  index set as a TreeSet

### getAsArrayList

public ArrayList<Integer> getAsArrayList()
Returns index set as an ArrayList

Returns:
  index set as an ArrayList

### getNumberOfIndices

public int getNumberOfIndices()
Returns the number of indices in this index set

Returns:
  number of indices

### isIndexIn

public boolean isIndexIn(int index)
Returns true if the index set contains a given index

### addIndex

public void addIndex(int index)
Adds a new index to the index set

### removeIndex

public void removeIndex(int index)
Removes an index from the index set

### intersect

public IndexSet intersect(IndexSet other)
Returns the intersection of this index set and another

Returns:
  intersection of two index sets

### subtract

public IndexSet subtract(IndexSet other)
Returns the subtraction of another index set from this index set

Returns:
  subtraction of two index sets

### union

public IndexSet union(IndexSet other)
Returns the union of this index set and another

Returns:
  union of two index sets

### toString

public String toString()
Returns the String representation of index set

Overrides:
  `toString` in class `Object`
Returns:
  String representation

### toStringInfo

public String toStringInfo()
Returns summary information about the index set

Returns:
  summary information

### equals

public boolean equals(Object other)
Returns true if this index sets is identical to another

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()
Returns hash code

Overrides:
  `hashCode` in class `Object`

### clone

public Object clone()
Returns an identical IndexSet object

Overrides:
  `clone` in class `Object`
Returns:
  clone of the index set